Bug 439587 - Unable to move Icons in panel
Unable to move Icons in panel
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Kevin Kofler
Fedora Extras Quality Assurance
: FutureFeature, Reopened
Depends On:
Blocks: KDE41
  Show dependency treegraph
Reported: 2008-03-29 07:32 EDT by Maximilian Imgrund
Modified: 2008-06-27 20:23 EDT (History)
6 users (show)

See Also:
Fixed In Version: 4.0.3-17.fc9
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-27 20:23:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 154119 None None None Never

  None (edit)
Description Maximilian Imgrund 2008-03-29 07:32:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9pre) Gecko/2008032721 Fedora/3.0-0.50.cvs20080327.fc9 Minefield/3.0pre

Description of problem:
I am not able to move Icons in control panel of plasma ( e.g. clock, window list, k-menu e.t.c.).
It might be that I am too stupid, but If I am and there is some special key or command, it should be much more easy to find it.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Try to drag / right click Icons in control panel and move them around.

Actual Results:
Nothing happens.

Expected Results:
Icons/Bars/panels should reorder/scale

Additional info:
Comment 1 Rex Dieter 2008-03-29 09:15:04 EDT
I think at least some of what you're asking is possible, but I'm not sure
exactly what you're trying to do.  For example, KDE4 doesn't have a "control
panel", are you talking about "system settings"?
Comment 2 Maximilian Imgrund 2008-04-08 09:58:48 EDT
I'm sorry for my english. I am trying to move icons like the K-Menu in its bar
around or the systray or clock applet or the window list. I am not able to do
that. But I am able to Remove them and add them again in the correct order. With
kde 3 one could move the icons by hovering them, then there appeared some bar of
points left of it and you could move the icon by dragging that bar and dropping
it. This was possible after unlocking the kicker bar. I do not find this
function (after long search) or it is broken. Sorry if I am just too stupid
(though others should also be, cause I'm experienced and still do not find it).
Comment 3 Rex Dieter 2008-04-08 10:08:29 EDT
OK, sounds like what you want simply isn't available as a feature in
kde-4.0/plasma (yet).  This will be addressed in kde-4.1 (I'm pretty sure).
Comment 4 Maximilian Imgrund 2008-04-08 10:11:38 EDT
Sorry then&thanks
Comment 5 Rex Dieter 2008-04-08 10:23:01 EDT
hrm, my quick-n-dirty search of upstream bugs.kde.org doesn't find anything
related to this (yet, or maybe I just didn't look hard enough).
Comment 6 Maximilian Imgrund 2008-04-09 04:46:56 EDT
eureka: http://bugs.kde.org/show_bug.cgi?id=158301
I wonder why they didn't implement this yet since it brings great usability...
Comment 7 Kevin Kofler 2008-04-18 22:42:43 EDT
Patch here:

Reopening as we should consider backporting this.
Comment 8 Kevin Kofler 2008-04-18 23:00:54 EDT
(That commit is from the plasma-4.0-openSUSE branch, not trunk, so it should be 
fairly easy to get it to apply to our 4.0.3 packages, maybe even just svn diff 
it and apply it.)
Comment 9 Kevin Kofler 2008-04-19 10:26:21 EDT
I'm going to apply the patch and build it, let's see how it goes.
Comment 10 Kevin Kofler 2008-04-19 10:52:23 EDT
Hmmmpfh, the patch doesn't apply as is, rediffing.
Comment 11 Kevin Kofler 2008-04-19 11:42:31 EDT
Should be fixed in kdebase-workspace-4.0.3-17.fc9.
Comment 12 Mary Ellen Foster 2008-04-21 06:18:55 EDT
I just tested the above version. It works pretty well, with a few caveats:
- You have to "start" and then "stop" the move, which is not intuitive
(especially the "stop" feels weird)
- It doesn't seem possible to move something to the far left of the panel
- It's not possible to move the taskbar
- While it is possible to move the system tray, it's quite hard to find the
correct area to click to initiate the move (and then you need to find it again
to "stop")

Still, this is better than not being able to move at all...
Comment 13 Kevin Kofler 2008-04-21 08:14:29 EDT
Requesting f9-final tagging.
Comment 14 Kevin Kofler 2008-04-22 14:31:06 EDT
Tagged f9-final, closing.
Comment 15 Kevin Kofler 2008-05-18 16:30:54 EDT
Reopening against Rawhide because the patch doesn't apply against 4.1 and this 
is still not implemented in 4.1, we'll want a solution to that (either upstream 
or a port of the patch) before upgrading F9 to 4.1.
Comment 16 Kevin Kofler 2008-06-27 03:49:14 EDT
I think I have a port of the OpenSUSE patch to 4.0.83 now, I'm trying to build 
it now.
Comment 17 Kevin Kofler 2008-06-27 04:22:25 EDT
My fix builds. Rawhide build here (needs testing!):
Comment 18 Kevin Kofler 2008-06-27 20:23:08 EDT
Confirmed fixed by Rex Dieter.

Note You need to log in before you can comment on or make changes to this bug.